Show / Hide Table of Contents

# Struct EmbedAuthor

A author field of an Embed.

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetType()

###### Namespace: Discord

###### Assembly: Discord.Net.Core.dll

##### Syntax

    public struct EmbedAuthor

### Properties

| Improve this Doc View Source

#### IconUrl

Gets the icon URL of the author field.

##### Declaration

    public string IconUrl { get; }

##### Property Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### Name

Gets the name of the author field.

##### Declaration

    public string Name { get; }

##### Property Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### ProxyIconUrl

Gets the proxified icon URL of the author field.

##### Declaration

    public string ProxyIconUrl { get; }

##### Property Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### Url

Gets the URL of the author field.

##### Declaration

    public string Url { get; }

##### Property Value

Type | Description
--- | ---
System.String |

### Methods

| Improve this Doc View Source

#### ToString()

Gets the name of the author field.

##### Declaration

    public override string ToString()

##### Returns

Type | Description
--- | ---
System.String |

##### Overrides

System.ValueType.ToString()